## org.apache.poi.hssf.record
Class RecordFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.util.RecordFormatException
                      org.apache.poi.hssf.record.RecordFormatException

All Implemented Interfaces:
  java.io.Serializable

    public class RecordFormatException

extends RecordFormatException

Title: Record Format Exception Description: Used by records to indicate invalid format/data.

See Also:
  Serialized Form

Constructor Summary
`RecordFormatException(java.lang.String exception)`
`RecordFormatException(java.lang.String exception, java.lang.Throwable thr)`
`RecordFormatException(java.lang.Throwable thr)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecordFormatException

    public RecordFormatException(java.lang.String exception)

### RecordFormatException

    public RecordFormatException(java.lang.String exception,
                                 java.lang.Throwable thr)

### RecordFormatException

    public RecordFormatException(java.lang.Throwable thr)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.